<template>
   <div>
     <ObInput
         v-model="sumAdvance"
         @input="update"
     />
   </div>
</template>

<script>
  import ObInput from "common-components/src/obComponents/obInput";
  import { formatNumber } from 'common-components/src/helpers/common'
  export default {
    name: "price",
    components:{ObInput},
    props: {
      item: {
        type: Object,
        default: () => {
        }
      },
      index: {
        type: Number,
        default: null
      }
    },
    computed: {
      sumAdvance() {
        return formatNumber(this.item.sumAdvance/100)
      },
      colorPrice() {
        return true
      }
    },
    methods:{
      update(){
        this.$emit('update')
      }
    }
  }
</script>

<style scoped>

</style>